<div [attr.data-step]="selectedStep" *ngIf="selectedStep">
  <form [formGroup]="stepOneForm">
    <div class="cmp-steps-rating">
      <fieldset class="fieldset-rating-one" [attr.data-element]="isRatePositive ? 'feedback-rating-positive' : 'feedback-rating-negative'">
        <legend class="pt-3 iscrizioni-header w-100">
          <h3 class="h6 d-flex flex-column flex-lg-row align-items-lg-center justify-content-between drop-shadow">
            <span class="d-block text-wrap" data-element="feedback-rating-question">
              {{ questions[0].question.translations[0].title }}
            </span>
            <span class="step ml-1" aria-hidden="true">{{ selectedStep }}/{{ stepsLength }}</span>
          </h3>
        </legend>

        <div class="cmp-steps-rating__body py-4">
          <div class="cmp-radio-list">
            <div class="card card-teaser shadow-rating">
              <div class="card-body">
                <div class="form-check m-0">
                  <div
                    class="radio-body border-bottom border-light cmp-radio-list__item"
                    *ngFor="let a of questions[0].question.answers; index as i">
                    <app-option-item
                      id="rc{{ i }}"
                      label="{{ a.translations[0].title }}"
                      value="{{ a.id }}"
                      [ctrl]="getRadioOptions()"></app-option-item>
                  </div>
                </div>
<!--                <div class="form-feedback just-validate-error-label" *ngIf="hasError">{{ 'form.max_chars' | translate}}</div>-->
              </div>
            </div>
          </div>
        </div>
      </fieldset>
    </div>
  </form>
</div>
